       @import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap');
       * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        img {
            max-width: 100%;
            height: auto;
        }

        body {
            font-family: "IBM Plex Sans", sans-serif;
            font-size: 1.2rem;
        }

        .contenedor {
            margin-bottom: 40rem;
        }

        h1 {
            font-size: 2.9rem;
            color: darkslategray;
            text-align: center;
            border-bottom: 4px double lightslategray;
        }

        .apartado {
            border: 1px solid gray;
            width: 80%;
            min-width: 400px;
            margin: 2rem auto;
            padding: 2rem;
            border-radius: 1rem;
            background-color: lightgray;
        }

        .apartado h2 {
            color: darkslategray;
            margin-bottom: 2rem;
        }

        .apartado>p {
            font-size: 1.2rem;
        }

        .explicacion {
            margin: 2rem;
            background: #fffd;
            padding: 1rem;
            border: 1px solid slategray;
        }

        .explicacion p {
            font-style: italic;
            font-weight: 500;
            margin-bottom: 1rem;
        }

        .lista {
            margin: 0 4rem;
            font-weight: 300;
        }

        pre {
            border: 3px solid #0006;
            margin: 2rem;
            color: #0df41c;
            font-size: 1.2rem;
            line-height: 1.4;
            background-color: #090f15;
            padding: 1rem;
            border-radius: 1rem;
            text-wrap: wrap;
            word-wrap: break-word;
        }

        .visor {
            background-color: slategray;
            color: white;
            margin: 2rem;
            padding: 2rem;
            font-size: 1.5rem;
            font-weight: 500;
            font-style: italic;
            border-radius: 0.5rem;
        }

        .visor .salida {
            padding: .5rem 1rem;
            border: 1px solid;
            margin: 1rem 0;
            word-wrap: break-word;
        }

        .visor button,
        .visor input,
        .visor select {
            font-size: 1.5rem;
            padding: 0.2rem 0.8rem;
            font-family: "Ibm Plex Sans";
            font-weight: 400;
            color: honeydew;
            background-color: #5b7780;
            border: 1px solid #142d31;
            border-radius: 0.3rem;
            display: inline-block;
            margin-bottom: 2rem;
        }

        .visor label {
            color: darkgreen;
            font-weight: 800;
            background-color: #fff6;
            padding: 0 0.5rem;
        }

        .visor input {
            background-color: honeydew;
            border: 0;
            color: darkgreen;
        }

        .btn-codigo {
            font-size: 1.5rem;
            font-family: "IBM Plex Sans";
            font-weight: 500;
            background-color: lightgray;
            color: slategray;
            padding: 0.3rem 0.5rem;
            border-radius: 0.5rem;
            border: 1px solid #0006;
            margin-top: 2rem;
        }